<template>
    <div class="signup">
        <div class="hero">
            <div class="container">
                <!-- <h2 class="mb-md-5 font-weight-bold">Sign Up</h2> -->
                <div class="row">
                    <!-- <div class="col-md-6 order-md-last text-center">
                        <img class="imglogo" src="../assets/LG2.png" alt="logo">
                    </div> -->
                    <div class="col-md-6">
                        <img src="../assets/logoweb.png" alt="">
                        <form class="modalcontent2" action="/action_page.php">
                            <div class="container">
                                
                            <!-- <h1>Sign Up</h1>
                            <p>Please fill in this form to create an account.</p> -->
                            <!-- email -->
                            <div>
                                <label for="email"><b>Email</b></label>
                                <input type="text" placeholder="Enter Email" name="email" 
                                v-model.trim="$v.email.$model" 
                                :class="{ 'is-invalid' :$v.email.$error, 
                                'is-valid':!$v.email.$invalid }" 
                                >

                                <div class="valid-feedback">Your email is valid</div>
                                <div class="invalid-feedback">
                                    <span v-if="!$v.email.required">email is required</span>
                                    <span v-if="!$v.email.isUnique">email is already registered</span>
                                </div>
                            </div>
                            

                            <div>
                                <label for="password"><b>Password</b></label>
                                <input type="password" id="password" placeholder="Enter Password" name="password"
                                v-model.trim="$v.password.$model" 
                                :class="{ 'is-invalid' :$v.password.$error, 
                                'is-valid':!$v.password.$invalid }"
                                >

                                <div class="valid-feedback">Your password is valid</div>
                                <div class="invalid-feedback">
                                    <span v-if="!$v.password.required">password is required</span>
                                    <span v-if="!$v.password.minLength">{{ $v.password.$params.minLength.min }} characters minimun.</span>
                                </div>
                            </div>
                            

                            

                            <div>
                                
                                <label for="showpassword"><input type="checkbox" name="" id="showpassword" 
                                @click="toggleShowPassword" v-model="showpassword" style="margin-bottom:15px"> Show Password
                                </label>
                                <br>

                            </div>


                            <!-- repeat password -->

                            <div>
                                <label for="repeatPassword"><b>Repeat Password</b></label>
                                <input type="password" placeholder="Enter Password" name="password"
                                v-model.trim="$v.repeatPassword.$model" 
                                :class="{ 'is-invalid' :$v.repeatPassword.$error, 
                                'is-valid': (password != '') ? !$v.repeatPassword.$invalid : '' }"
                                >
                                
                                <div class="valid-feedback">Your password is identical</div>
                                <div class="invalid-feedback">
                                    <span v-if="!$v.repeatPassword.sameAsPassword">password must be identical</span>
                                </div> 
                            </div>
                            

                            <!-- <label>
                                <input type="checkbox" checked="checked" name="remember" style="margin-bottom:15px"> Remember me
                            </label> -->

                            <p>By creating an account you agree to our <a href="#" style="color:dodgerblue">Terms & Privacy</a>.</p>

                            <div class="clearfix">
                                <button type="submit" class="signupbtn">Sign Up</button>
                            </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        
    </div>
</template>

<script>
import {
    required,
    minLength,
    // maxLength,
    // between,
    email,
    sameAs
} from "vuelidate/lib/validators";

export default {
    name: "signup",
    data () {
        return{
            email: "",
            password: "",
            repeatPassword: "",
            showpassword: false
        }
    },

    validations: {
        email:{
            required,
            email,
            isUnique (value){
                if (value === "") return true

                var email_regex = /(^$|^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$)/;

                return new Promise((resolve) => {
                    setTimeout(() => {
                        resolve(email_regex.test(value))
                    }, 350 + Math.random() * 300)
                })
            }
        },
        password:{
            required,
            minLength: minLength(8)
        },
        repeatPassword:{
            required,
            minLength: sameAs('password')
        }
    },

    methods:{
        toggleShowPassword (){
            var show = document.getElementById('password')
            if(this.showpassword == false){
                this.showpassword = true
                show.type = "text"
            }else{
                this.showpassword = false
                show.type = "password"
            }
        }
    }
}
</script>

<style>
.font-weight-bold {
    font-weight: 700;
}
.mb-md-5, .my-md-5 {
    margin-bottom: 3rem;
}
/* .col-md-6 {
    -ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%;
}
.text-center {
    text-align: center;
}
.order-md-last {
    -ms-flex-order: 13;
    order: 13;
}
.col-md-6 {
    -ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%;
    position: relative;
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
} */


.mt-md-5, .my-md-5 {
    margin-top: 3rem !important;
}
.ml-auto, .mx-auto {
    margin-left: auto !important;
}
.mr-auto, .mx-auto {
    margin-right: auto !important;
}
.mb-4, .my-4 {
    margin-bottom: 1.5rem !important;
}
.w-75 {
    width: 75% !important;
}
.imglogo {
    overflow: hidden;
    vertical-align: middle;
}

</style>